|  | Home | Documentation | uddi2__contact Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
uddi2__contact Class Reference

Schema urn:uddi-org:api_v2:"contact". More...

`#include <uddi_v2.h>`

## Public Attributes
std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded. More...
char * | personName
| Element reference "urn:uddi-org:api_v2":personName. More...
std::vector< uddi2__phone * > | phone
| Vector of uddi2__phone* with length 0..unbounded. More...
std::vector< uddi2__email * > | email
| Vector of uddi2__email* with length 0..unbounded. More...
std::vector< uddi2__address * > | address
| Vector of uddi2__address* with length 0..unbounded. More...
char * | useType
| Attribute useType of type xs:string. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"contact".

## Member Data Documentation

std::vector<uddi2__address* > uddi2__contact::address

Vector of uddi2__address* with length 0..unbounded.

std::vector<uddi2__description* > uddi2__contact::description

Vector of uddi2__description* with length 0..unbounded.

std::vector<uddi2__email* > uddi2__contact::email

Vector of uddi2__email* with length 0..unbounded.

char* uddi2__contact::personName

Element reference "urn:uddi-org:api_v2":personName.

Required element

std::vector<uddi2__phone* > uddi2__contact::phone

Vector of uddi2__phone* with length 0..unbounded.

struct soap* uddi2__contact::soap

A handle to the soap struct context that manages this class instance.

char* uddi2__contact::useType

Attribute useType of type xs:string.

Optional attribute

The documentation for this class was generated from the following file:

- uddi_v2.h